Loading...
Searching...
No Matches
error.h File Reference

Application interface library for the ALSA driver. More...

Go to the source code of this file.

## Macros

#define | __ALSA_ERROR_H
#define | SND_ERROR_BEGIN 500000
#define | SND_ERROR_INCOMPATIBLE_VERSION (SND_ERROR_BEGIN+0)
#define | SND_LOG_ERROR 1
#define | SND_LOG_WARN 2
#define | SND_LOG_INFO 3
#define | SND_LOG_DEBUG 4
#define | SND_LOG_TRACE 5
#define | SND_LOG_LAST SND_LOG_TRACE
#define | SND_ILOG_CORE 1
#define | SND_ILOG_CONFIG 2
#define | SND_ILOG_CONTROL 3
#define | SND_ILOG_HWDEP 4
#define | SND_ILOG_TIMER 5
#define | SND_ILOG_RAWMIDI 6
#define | SND_ILOG_PCM 7
#define | SND_ILOG_MIXER 8
#define | SND_ILOG_SEQUENCER 9
#define | SND_ILOG_UCM 10
#define | SND_ILOG_TOPOLOGY 11
#define | SND_ILOG_ASERVER 12
#define | SND_ILOG_PCM_PARAMS 13
#define | SND_ILOG_LAST SND_ILOG_PCM_PARAMS
#define | snd_error(interface, args...)
#define | snd_errornum(interface, args...)
#define | snd_warn(interface, args...)
#define | snd_info(interface, args...)
#define | snd_debug(interface, args...)
#define | snd_trace(interface, args...)
#define | snd_check(interface, args...)
#define | snd_checknum(interface, args...)
#define | SNDERR(args...)
#define | SYSERR(args...)

## Typedefs

typedef void(* | snd_lib_log_handler_t) (int prio, int interface, const char *file, int line, const char *function, int errcode, const char *fmt, va_list arg)
| Log handler callback.
typedef void(* | snd_lib_error_handler_t) (const char *file, int line, const char *function, int errcode, const char *fmt,...)
| Error handler callback.
typedef void(* | snd_local_error_handler_t) (const char *file, int line, const char *func, int errcode, const char *fmt, va_list arg)

## Functions

const char * | snd_strerror (int errnum)
| Returns the message for an error code.
int | snd_lib_log_filter (int prio, int interface, const char *configstr)
| Check if a log message should be shown based on LIBASOUND_DEBUG.
void | snd_lib_log (int prio, int interface, const char *file, int line, const char *function, int errcode, const char *fmt,...)
| Root log handler function.
void | snd_lib_check (int interface, const char *file, int line, const char *function, int errcode, const char *fmt,...)
| The check point function.
snd_lib_log_handler_t | snd_lib_log_set_handler (snd_lib_log_handler_t handler)
| Sets the log handler.
snd_lib_log_handler_t | snd_lib_log_set_local (snd_lib_log_handler_t handler)
| Install local log handler.
const char * | snd_lib_log_priority (int prio)
| Function to convert log priority level to text.
const char * | snd_lib_log_interface (int interface)
| Function to convert interface code to text.
int | snd_lib_error_set_handler (snd_lib_error_handler_t handler)
| Sets the error handler.
snd_local_error_handler_t | snd_lib_error_set_local (snd_local_error_handler_t func)
| Install local error handler.

## Variables

snd_lib_log_handler_t | snd_lib_vlog
snd_lib_error_handler_t | snd_lib_error

## Detailed Description

Application interface library for the ALSA driver.

Author
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  1998-2001

Application interface library for the ALSA driver

## Macro Definition Documentation

## __ALSA_ERROR_H

#define __ALSA_ERROR_H

header include loop protection